import Vue from 'vue'

import { MyButton, MyButtonGroup } from './components'

const components = [
  MyButton,
  MyButtonGroup
]

const MyElements = {
  install (vue: typeof Vue): void {
    components.forEach(component => vue.component(component.name, component))
  }
}

if (typeof window !== 'undefined' && window.Vue) {
  // @ts-ignore
  window.Vue.use(MyElements, {})
}

export { MyButton, MyButtonGroup }
export default MyElements
